Package org.eclipse.mat.parser.index

## Class IndexWriter.LongArray1NWriter

- java.lang.Object
- - org.eclipse.mat.parser.index.IndexWriter.LongArray1NWriter

Enclosing class:
  IndexWriter

    public static class IndexWriter.LongArray1NWriter
    extends Object

### Constructor Summary

Constructors
`LongArray1NWriter​(int size, File indexFile)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cancel()` Terminate the LongArray1NWriter and delete any files which have been written so far.
`void` `flush()`
`File` `getIndexFile()`
`void` `log​(int index, long[] values)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LongArray1NWriter

    public LongArray1NWriter​(int size,
                             File indexFile)
                      throws IOException

Throws:
  `IOException`

### Method Detail

#### log

    public void log​(int index,
                    long[] values)
             throws IOException

Throws:
  `IOException`

#### flush

    public void flush()
               throws IOException

Throws:
  `IOException`

#### cancel

    public void cancel()

Terminate the LongArray1NWriter and delete any files which have been written so far. Use to cancel part way through.

#### getIndexFile

    public File getIndexFile()